/*
    TARJETAS DE LUGARES

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html
    - contact.html


*/

#filter,
#filter * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


#filter {
    color: white;
    display: flex;
    gap: 20px;
    font-size: 1.1em;
}

/*
    Las etiquetas que contendran el input y el texto
    es cierto que los input pueden estar en otra parte
    del documento ya que se guian por su id
    pero es bueno ponerlas al lado del input o engloblándolo
*/

#filter label {
    box-shadow: 0px 0px 5px 2px rgba(121, 24, 195, 0.451);
    padding: 0 30px 0 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    border-radius: 10px;
    background-color: gray;
    cursor: pointer;
    width: 100%;
    min-width: 140px;
}

#filter label:hover {
    transform: scale(1.1);
    transition: all .3s;
    background-color: rgba(182, 218, 73, 0.778)
}

/*
    segun el hijo le cambiamos la imagen al input
*/
#filter label:nth-child(1) input[type="radio"] {
    background-image: url(../images/icons/all.png);
    margin: 8px;
}

#filter label:nth-child(2) input[type="radio"] {
    background-image: url(../images/icons/love_filled.png);
}

#filter label:nth-child(3) input[type="radio"] {
    background-image: url(../images/icons/love_out.png);
}

#filter label input[type="radio"] {
    flex-grow: 1;
    appearance: none;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    height: 100%;
}

#filter label .Text {
    width: 40%;
}

/* aplica un estilo basado en su contenido*/
#filter label:has(input[type="radio"]:checked) {
    box-shadow: 0px 0px 5px 2px rgb(253, 253, 253);
    background-color: mediumslateblue;
    transform: scale(1.05);
}